<?php
			session_start();

			$nom = $_POST['nom'];
			$operation = $_POST['operation'];
			$ancien_nom = $_SESSION['upload_fichier'];
			$_SESSION['renome'] = $nom;
				
			if($operation == "copier")
			{	
				copy("temp_upload/" .$ancien_nom, "upload/" .$ancien_nom);
				unlink("temp_upload/" .$ancien_nom);
			}
				
			if($operation == "renomer")
			{
				rename("temp_upload/" .$ancien_nom, "temp_upload/" .$nom);
				// copie du repertoire temporaire vers le dossier de stockage
				copy("temp_upload/" .$nom, "upload/" .$nom);
				// efface le fichier temp
				unlink("temp_upload/" .$nom);
			}
			
			
			if($operation == "ecraser")
			{
				// on réecrit le fichier - c a d mise a jour
				copy("temp_upload/" .$ancien_nom, "upload/" .$ancien_nom);
				// efface le fichier temp
				unlink("temp_upload/" .$ancien_nom);
			}
			
?>